Bug 494244 - Cannot set dual screen (required virtual size does not fit available size)
Cannot set dual screen (required virtual size does not fit available size)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 19:20 EDT by Martin Ebourne
Modified: 2018-04-11 02:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-02 12:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (131.50 KB, text/plain)
2009-04-05 19:21 EDT, Martin Ebourne
no flags Details

  None (edit)
Description Martin Ebourne 2009-04-05 19:20:58 EDT
Description of problem:
Cannot set dual screen between laptop and LCD TV at native resolution for each, virtual size too small.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.1-4.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Plug in LCD TV
2. Use display preferences to set up dual screen at native resolution of 1920x1200 (laptop internal) and 1360x768 (TV)
  
Actual results:
Error box with message:
Could not apply the selected configuration
required virtual size does not fit available size: requested=(3280, 1200), minimum=(320, 200), maximum=(2560, 1600)

Expected results:
Dual screen should work

Additional info:
Works if I down the resolution to 1152x768 on the laptop, but that's a massive loss of screen.
Comment 1 Martin Ebourne 2009-04-05 19:21:29 EDT
Created attachment 338270 [details]
Xorg log
Comment 2 Martin Ebourne 2009-04-05 19:38:33 EDT
I created an xorg.conf to set virtual size, and this has successfully worked around the issue for now:

Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
EndSection

Section "Screen"
        Identifier "Screen0"
        SubSection "Display"
                Virtual 3280 1200 
        EndSubSection
EndSection
Comment 3 François Cami 2009-04-06 19:05:15 EDT
Martin,

Could you post dmesg output and Xorg.0.log after creating your xorg.conf ?

I'll switch to ASSIGNED anyway, we should create a larger Virtual by default.

Switching Severity to low since we have a workaround.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Dennis Gilmore 2009-04-07 15:45:19 EDT
im hitting this with RV635 based card and a pair of 20" lcd monitors 
 both do 1680x1050  and i can only clone the desktop.
Comment 5 Adam Williamson 2009-04-17 21:36:13 EDT
As noted by email - setting an arbitrary large framebuffer size has the problem of eating RAM. The larger the default framebuffer size, the more RAM it uses (i.e. wastes on any system that isn't actually using the whole thing).

To have a note in a public place: current status of radeon is the same as intel, dynamic framebuffer reallocation happens when KMS is enabled but not when it isn't. So people with r600+ chips will hit this as they don't have KMS enabled. This is really more of a feature request than a bug, and it may be appropriate to just have a request filed upstream and close this bug - not sure which way Dave wants to handle it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 François Cami 2009-04-18 05:28:12 EDT
  Martin, Dennis, 

Does the problem still appears without any Virtual value in xorg.conf with a more recent xorg-x11-drv-ati ? There is a fix for the Virtual problem with R600, starting with xorg-x11-drv-ati-6.12.1-10.fc11 .

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2009-06-09 09:18:48 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Alexey Kuznetsov 2009-07-07 08:18:14 EDT
part of Fit_and_Finish?
Comment 9 Adam Williamson 2009-07-15 16:30:18 EDT
it's a bit more fundamental than that as it requires support for a specific feature in the graphics driver, it's not just a simple bug or inadequacy in the front end. The radeon driver maintainers are aware of it, and as my comment mentions, once we have KMS support enabled by default for r600+, this is fixed. It's just a case of that KMS support getting good enough.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Eric Ramsey 2009-09-16 13:31:26 EDT
came across same issue with attempting to set 3200x1200 (two 1600x1200 viewsonics) on an ATI R516 (x1300/1500) via System/Preferences/Display

xrandr showed max as 3200x1200 and when attempting to set both monitors to 1600x1200 it reported the requested size as 3200x1213.

Work-around:
set
    Virtual    3200 1213
in display subsection in xorg.conf

Even then, in order to get 1600x1200 at all I have to use "nomodeset" in kernel run line in grub
Comment 11 Matěj Cepl 2009-11-05 13:25:20 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 12 Matěj Cepl 2010-02-26 07:18:30 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 13 Dennis Gilmore 2010-02-26 09:40:19 EST
its working fine in F-12 and F-13 for me
Comment 14 Matěj Cepl 2010-03-02 12:41:51 EST
Thank you for letting us know.
Comment 15 LaKing 2010-04-04 13:26:11 EDT
I have the same problem. FC11 with fglrx.

Adding virtual into xorg.conf, and adding nomodeset into grub didn't help.

Upgrading to FC12 or 13 is not an option, since fglrx is not working there.
Comment 16 François Cami 2010-04-04 17:03:31 EDT
To LaKing:
Fedora does not provide or support proprietary drivers.  ATI/AMD may provide technical support at: http://support.amd.com/

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 17 LaKing 2010-04-04 17:49:23 EDT
Somehow I got it working.
It seems that the xorg.conf is very sensitive for the numbers and the places where you define that virtual size. ...

However, .. Thanks.

Note You need to log in before you can comment on or make changes to this bug.